class ErrorModel {
  List<ErrorDetailModel> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  ErrorModel(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  ErrorModel.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<ErrorDetailModel>();
      json['records'].forEach((v) {
        records.add(new ErrorDetailModel.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class ErrorDetailModel {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  int brandId;
  String code;
  String descr;
  String cause;
  String recoveryMethod;
  String imgs;
  int sort;
  int topFlag;
  int statuz;

  ErrorDetailModel(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.brandId,
      this.code,
      this.descr,
      this.cause,
      this.recoveryMethod,
      this.imgs,
      this.sort,
      this.topFlag,
      this.statuz});

  ErrorDetailModel.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    brandId = json['brandId'];
    code = json['code'];
    descr = json['descr'];
    cause = json['cause'];
    recoveryMethod = json['recoveryMethod'];
    imgs = json['imgs'];
    sort = json['sort'];
    topFlag = json['topFlag'];
    statuz = json['statuz'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['brandId'] = this.brandId;
    data['code'] = this.code;
    data['descr'] = this.descr;
    data['cause'] = this.cause;
    data['recoveryMethod'] = this.recoveryMethod;
    data['imgs'] = this.imgs;
    data['sort'] = this.sort;
    data['topFlag'] = this.topFlag;
    data['statuz'] = this.statuz;
    return data;
  }
}
